<form nz-form [formGroup]="form" (submit)="submit()">
  <nz-spin [nzSpinning]="isLoading">
    <nz-alert
      style="text-align: center; margin-bottom: 20px"
      nzType="warning"
      nzMessage='{{ "Economy.Construction.constructionCreatedRegion" | translate }}'
    ></nz-alert>
    <div nz-row nzGutter="12">
      <div nz-col nzSpan="12">
        <div style="text-align: right">{{ "Economy.Construction.ConstructionType" | translate }}:</div>
      </div>
      <div nz-col nzSpan="12">
        <nz-radio-group
          formControlName="constructionType"
          (ngModelChange)="constructionTypeSelected($event)"
        >
          <label
            *ngFor="let type of constructionTypes"
            nz-radio
            [nzValue]="type?.id"
            >{{ "Economy." + type?.symbol | translate }}</label
          >
        </nz-radio-group>
      </div>
    </div>

    <div nz-row nzGutter="12" style="margin-top: 30px">
      <div nz-col nzSpan="12">
        <div style="text-align: right">{{ "Common.Quality" | translate }}:</div>
      </div>
      <div nz-col nzSpan="12">
        <nz-radio-group formControlName="quality">
          <label nz-radio [nzValue]="1">1</label>
          <label nz-radio [nzValue]="2">2</label>
          <label nz-radio [nzValue]="3">3</label>
        </nz-radio-group>
      </div>
    </div>

    <div nz-row nzGutter="12" style="margin-top: 30px">
      <div nz-col nzSpan="12">
        <div style="text-align: right; padding-top: 5px">{{ "Common.Name" | translate }}:</div>
      </div>
      <div nz-col nzSpan="12">
        <input nz-input formControlName="name" type="text" />
      </div>
    </div>

    <div
      style="text-align: center"
      *ngIf="constructionType && form.get('quality').value"
    >
      <nz-divider></nz-divider>
      <h3 style="margin-top: 20px">{{ "Common.Requirements" | translate }}:</h3>
      <h4>
        {{ "Economy.Construction.RequiredResources" | translate }}:
        {{
          "Economy." + constructionType?.itemPayload.rawResourceSymbol
            | translate
        }}
        {{ "Common.qualityLowCase" | translate }} {{ form.get("quality").value }}.
      </h4>
      <h4>
        {{ "Common.Amount" | translate }}:
        {{
          constructionType?.itemPayload.rawsMaterialRequiredPerLevel[
            form.get("quality").value
          ]
        }}.
      </h4>

      <div style="text-align: right">
        <nz-button-group>
          <button nz-button nzShape="round" nzType="default" type="button" (click)="close()">
            {{ "Common.Buttons.Close" | translate }}
          </button>
          <button nz-button nzShape="round" nzType="primary" type="submit">{{ "Common.Buttons.Construct" | translate }}</button>
        </nz-button-group>
      </div>
    </div>
  </nz-spin>
</form>
